Skip to content

Retrieves a customer by ID

Request

GET {{baseURL}}/v2/customers/{{customerId}}

This endpoint retrieves a customer by ID.

See Also:
To create a new customer, see POST /v2/customers.
To list customers, see GET /v2/customers.
To update a customer, see PATCH /v2/customers/{customerId}.
To delete a customer, see DELETE /v2/customers/{customerId}.

Security
Bearer
Path
customerIdstring, (uuid)required

Specifies a customer's identifier.

Example:c4b210e9-be39-4ebc-8195-0c422de87f90
curl -i -X GET \
  https://sandbox.api.flute.com/v2/customers/c4b210e9-be39-4ebc-8195-0c422de87f90 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
customerIdstring or null, (uuid)

Identifies the customer to link this payment method to.

This value may be null when this payment method is an orphan owned by the merchant directly. An orphan payment method is a payment method in the merchant's vault but has no customer record associated with it.

Example: 8fa8e727-73c6-436e-b56f-6f55aabf3b1c

Example:"8fa8e727-73c6-436e-b56f-6f55aabf3b1c"
externalIdstring or null

Indicates the external identifier.

This value is used to detect duplicate transactions. For example, a duplicate pending record is marked as Skipped.

Example: CUST-EXT-12345

Example:"CUST-EXT-12345"
firstNamestring or null

Indicates the customer's first name.

Example: Alexandro

Example:"Alexandro"
lastNamestring or null

Indicates the customer's last name.

Example: Peppared

Example:"Peppared"
companyNamestring or null

Indicates the name of the customer's company or organization.

Example: Peppared Street Cafe

Example:"Peppared Street Cafe"
emailstring or null

Indicates the customer's email.

Example: peppared@example.com

Example:"peppared@example.com"
mobilePhoneNumberstring or null, (E.164), <= 20 characters^(null|\+\d{1,20})$

Indicates the customer's mobile phone number.

Example: +14155552309

Example:"+14155552309"
hasSmsConsentboolean

Specifies the customer has consented to receiving the SMS.

If true, the customer has consented to receiving the SMS.
If false, the customer has not consented to receiving the SMS.

Example: true

Example:true
shouldUseBillingAsShippingAddressboolean

Indicates to use the billing address as shipping address.

If true, use the billing address as shipping address.
If false, do not use the billing address as shipping address.

Example: true

Example:true
billingAddressobject or null

Identifies the address information.

shippingAddressobject or null

Identifies the address information.

transactionsCountinteger, (int32)

Indicates the number of transactions.

Example: 31

Example:31
transactionsVolumenumber, (double)

Indicates the sum of the transactions.

Example: 1234.56

Example:1234.56
lastTransactionAmountnumber or null, (double), decimal places <= 2

Indicates the amount of the last transaction.

Example: 99.99

Example:99.99
lastTransactionDatestring or null, (date-time)

Indicates the date-time (in an ISO 8601 date-time format) of the last transaction.

Example: 2026-05-01T12:00:56.264Z

Example:"2026-05-01T12:00:56.264Z"
numberOfSubscriptionsinteger, (int32)

Indicates the number of active subscriptions.

Example: 6

Example:6
cardsArray of objects or null

Indicates the card payment methods.

achAccountsArray of objects or null

Indicates the ACH (automated clearing house) payment methods.

Response
{ "customerId": "61e5435f-7cec-4a7b-8523-64358cac7fac", "externalId": "CUST-EXT-12345", "firstName": "John", "lastName": "Peppared", "companyName": "Acme Corp", "email": "john.doe@acme.com", "mobilePhoneNumber": "+14125553845", "hasSmsConsent": true, "shouldUseBillingAsShippingAddress": true, "billingAddress": { "city": "New York", "countryCode": "US", "addressLine1": "123 Main Street", "addressLine2": "Suite 100", "postalCode": "10001", "stateCode": "NY" }, "shippingAddress": null, "lastTransactionDate": "2026-05-29T22:04:31.792Z", "transactionsCount": 25, "transactionsVolume": 12500, "lastTransactionAmount": 150, "numberOfSubscriptions": 2, "cards": [ { "cardMask": "************1111", "expirationMonth": 12, "expirationYear": 2026, "cardTokenType": null, "cardType": "Visa", "creditDebitType": "Credit", "paymentMethodId": "e5348db9-85cf-4d9d-a27c-88013f8944be", "paymentName": "My Visa Card", "isDefault": true }, { "cardMask": "************5555", "expirationMonth": 6, "expirationYear": 2033, "cardTokenType": null, "cardType": "MasterCard", "creditDebitType": "Debit", "paymentMethodId": "911e5ed6-95db-4ceb-8c49-5dc997ce0b3d", "paymentName": "Personal MasterCard", "isDefault": false } ], "achAccounts": [ { "accountNumber": "****6789", "routingNumber": "021000021", "accountType": "Checking", "accountHolderType": "Personal", "taxId": "***-**-6789", "paymentMethodId": "a7402e6f-7b52-4884-9214-b68dcd7b80bf", "paymentName": "Business Checking", "isDefault": false } ] }